Results 1 to 9 of 9

Thread: Create Surface from Points

  1. #1
    Login to Give a bone
    0

    Default Create Surface from Points

    I have a series of cogo points that I would like to use to create a new surface... I can do this pretty simply with a TIN, but ideally what I'd like is the points (which represent single point features such as a power pole, cell tower, etc.) to be "spikes" if you will with the surface around each point to be flat (can be a set elevation value or 0). Is there a way to do this? And if so, how?

    Thank you.

  2. #2
    Certified AUGI Addict cadtag's Avatar
    Join Date
    2000-12
    Location
    Cairo - no, not Illinois
    Posts
    5,069
    Login to Give a bone
    0

    Default Re: Create Surface from Points

    place a rect feature line at el=0 around the points?

  3. #3
    Login to Give a bone
    0

    Default Re: Create Surface from Points

    Around every individual point? Is there a quick way to do that as I have hundreds or thousands of points.

  4. #4
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,105
    Login to Give a bone
    0

    Default Re: Create Surface from Points

    I am not sure if cadtag was meaning each point individually. However, you could automate the drawing of this rectangle around each point through AutoLISP / Visual LISP.
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  5. #5
    Administrator BlackBox's Avatar
    Join Date
    2009-11
    Posts
    5,719
    Login to Give a bone
    0

    Default Re: Create Surface from Points

    Quickly written:

    Code:
    (vl-load-com)
    
    (defun c:SPIKE (/ *error* nomutt ss oPline pt z insertionPoint i
                  acDoc cogoPoint
                 )
    
      (defun *error* (msg)
        (and nomutt (setvar 'nomutt nomutt))
        (if acDoc
          (vla-endundomark acDoc)
        )
        (cond ((not msg))                                                   ; Normal exit
              ((member msg '("Function cancelled" "quit / exit abort")))    ; <esc> or (quit)
              ((princ (strcat "\n** Error: " msg " ** ")))                  ; Fatal error, display it
        )
        (princ)
      )
    
      (if
        (and
          (princ "\nSelect polyline to copy: ")
          (princ)
          (setq nomutt (getvar 'nomutt))
          (setvar 'nomutt 1)
          ;;(setq ss (ssget ":S:E:L" '((0 . "AECC_FEATURE_LINE"))))
          (setq ss (ssget ":S:E:L" '((0 . "LWPOLYLINE"))))
          (setq oPline (vlax-ename->vla-object (ssname ss 0)))
          (setvar 'nomutt 0)
          (setq pt
                 (trans (getpoint "\nSpecify feature line insertion point: ")
                        1
                        0
                 )
          )
          (setq z (last pt))
          (setq insertionPoint (vlax-3d-point pt))
          (setq i 0)
          (princ "\nSelect COGO points: ")
          (setvar 'nomutt 1)
          (setq ss (ssget '((0 . "AECC_COGO_POINT"))))
        )
         (progn
           (vla-startundomark
             (setq acDoc (vla-get-activedocument (vlax-get-acad-object)))
           )
           (vlax-for x (vla-get-activeselectionset acDoc)
             (setq cogoPoint (vlax-get x 'location))
             (vla-move (vla-copy oPline)
                       insertionPoint
                       (vlax-3d-point (list (car cogoPoint) (cadr cogoPoint) z))
             )
             (setq i (1+ i))
           )
           (setvar 'nomutt 0)
           (prompt
             (strcat "\n"
                     (itoa i)
                     " polyline"
                     (if (= 1 i)
                       ""
                       "s"
                     )
                     " copied to "
                     (itoa (sslength ss))
                     " COGO points"
             )
           )
         )
      )
      (*error* nil)
    )
    Last edited by BlackBox; 2013-10-30 at 06:24 PM. Reason: Code revised.
    "How we think determines what we do, and what we do determines what we get."

    Sincpac C3D ~ Autodesk Exchange Apps

    Computer Specs:
    Dell Precision 3660, Core i9-12900K 5.2GHz, 64GB DDR5 RAM, PCIe 4.0 M.2 SSD (RAID 0), 16GB NVIDIA RTX A4000

  6. #6
    Certified AUGI Addict cadtag's Avatar
    Join Date
    2000-12
    Location
    Cairo - no, not Illinois
    Posts
    5,069
    Login to Give a bone
    0

    Default Re: Create Surface from Points

    well, i was thinking of each point, but did not realize that the OP had thousands to deal with. For a few dozen I'd set OSNAPZ then copy my feature line from node to node.

    I see BB has offered a code solution, so that should work out for her. Another thought, depending on the data source, would be querying in the XY locations and using the Z value to extrude a circle to that height. Also amenable to a LISP solution from a text file.

  7. #7
    Administrator BlackBox's Avatar
    Join Date
    2009-11
    Posts
    5,719
    Login to Give a bone
    0

    Default Re: Create Surface from Points

    Quote Originally Posted by cadtag View Post
    I see BB has offered a code solution, so that should work out for her. Another thought, depending on the data source, would be querying in the XY locations and using the Z value to extrude a circle to that height. Also amenable to a LISP solution from a text file.
    Giving this another look, it seems that even when supplying the X and Y from the COGO Point's Location Property, and the Z from the base point (0.0 in my testing), the resultant Feature Lines still influenced by the destination COGO Point's elevation somehow. *kicks dirt*

    When I have more time, I'll look into the SetPointElevation, and SetPointsElevation Methods.
    "How we think determines what we do, and what we do determines what we get."

    Sincpac C3D ~ Autodesk Exchange Apps

    Computer Specs:
    Dell Precision 3660, Core i9-12900K 5.2GHz, 64GB DDR5 RAM, PCIe 4.0 M.2 SSD (RAID 0), 16GB NVIDIA RTX A4000

  8. #8
    Certified AUGI Addict cadtag's Avatar
    Join Date
    2000-12
    Location
    Cairo - no, not Illinois
    Posts
    5,069
    Login to Give a bone
    0

    Default Re: Create Surface from Points

    so, instead of a feature line, why not a simple 2d pline at el=0? include that as an acad object in the surface, and have a nice little pyramid shooting skyward.

    reverse for boreholes.....

  9. #9
    Administrator BlackBox's Avatar
    Join Date
    2009-11
    Posts
    5,719
    Login to Give a bone
    0

    Default Re: Create Surface from Points

    Quote Originally Posted by cadtag View Post
    so, instead of a feature line, why not a simple 2d pline at el=0? include that as an acad object in the surface, and have a nice little pyramid shooting skyward.

    reverse for boreholes.....
    Thanks for the suggestion... Code revised above.
    "How we think determines what we do, and what we do determines what we get."

    Sincpac C3D ~ Autodesk Exchange Apps

    Computer Specs:
    Dell Precision 3660, Core i9-12900K 5.2GHz, 64GB DDR5 RAM, PCIe 4.0 M.2 SSD (RAID 0), 16GB NVIDIA RTX A4000

Similar Threads

  1. Create a Surface from Z points from Lidar image?
    By dave_kikkert575985 in forum AutoCAD 3D (2007 and above)
    Replies: 1
    Last Post: 2012-08-14, 12:24 PM
  2. Points- create points slope-distance
    By jenniferchavez in forum AutoCAD Civil 3D - Survey
    Replies: 1
    Last Post: 2009-12-10, 06:03 PM
  3. Importing Points to a Surface
    By jdrewreed in forum AutoCAD Civil 3D - Surfaces
    Replies: 2
    Last Post: 2009-07-15, 04:47 PM
  4. I have points, since I make a surface with these points?
    By sergio_garces_salgado in forum AutoCAD Civil 3D - Surfaces
    Replies: 1
    Last Post: 2006-10-09, 05:34 PM
  5. Create Civil Points from Surface
    By kailiwalker in forum AutoLISP
    Replies: 3
    Last Post: 2006-09-07, 10:57 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •